@-ms-viewport {
  width: auto;
}

*{
  margin: 0;
  padding: 0;
}


body {
  overflow: hidden;
  min-height: 100vh;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 50px 1fr;
  grid-template-areas: 
  "navbar"
  "sidebar";
  background-color: #000000;
  color:#000000;
}


nav{
  top: 0;
  position: sticky;
  grid-area: navbar;
  background-color: rgb(255, 255, 255);
  color:#000000;
  padding: 7px 0px 0px 16px;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 10px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  letter-spacing: 14px;
}

aside{
  /*
  display: flex;
  flex-direction: column;
  justify-content: center;
  */
  align-items: center;
  height: calc(100vh - 50px);
  top: 60px;
  position: sticky;
 /* align-self: start;*/
  grid-area: sidebar;
  background-color: rgb(0, 0, 0);
  color: #000000;
}

/*
main{
  grid-area: main;
}

footer{
  grid-area: footer;
  background-color: #eedb6f;
  color:#000000;
  padding: 2px;
  font-family: "Courier New", Courier, monospace;
  text-align: center;
}
*/

.buttonheat {
  color: white;
  background-color:#CCCCCC;
  border: 1px solid #000000;
  color:black;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 22px;
  padding: 0px 0px 0px 10px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 14px;
}

.buttonhead {
  color: white;
  background-color:rgba(0, 0, 0, 100);
  border: 1px solid #000000;
  color: white;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 22px;
  padding: 0px 0px 0px 10px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none; 
  -webkit-transition-duration: 0.4s; /* Safari */
  transition-duration: 0.4s;
  cursor: pointer;
  letter-spacing: 14px;
}

/*
.buttonhead:link, .buttonhead:visited {
  color: white;
  background-color: #000000;
  font-family: "Courier New", Courier, monospace;
  text-align: left;
  font-size: 20px;
  font-style: normal;
  line-height: 30px;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  text-decoration: none;
  cursor: pointer;
  letter-spacing: 5px;
}
*/

.buttonheat:hover, .buttonheat:active {
  background-color: #000000;
  color: rgb(255, 255, 255);
  cursor: pointer;
}

.buttonhead:hover, .buttonhead:active {
  background-color: #CCCCCC;
  color: black;
  cursor: pointer;
}

.thehead {
  position: absolute;
  left: -5px;
  top: -5px;
  z-index: 50;
}


